!================================================================
! 一次元放射平衡大気計算; パラメータモジュール
!
! 97/01/25 小高正嗣
! 97/02/18 小高正嗣; 地表温度を与える版
! 97/02/19 小高正嗣; 湿潤大気へ
! 97/06/23 小高正嗣; 
!================================================================
MODULE para_module
IMPLICIT NONE
PUBLIC

!--計算パラメータ

	REAL,PARAMETER	:: Cdtau = 0.1	! 放射計算用パラメータ

!--数学パラメータ

	REAL,PARAMETER :: pi = 3.141592	! 円周率

!--物理パラメータ

	REAL,PARAMETER :: sig = 5.67e-8	! ステファン-ボルツマン定数(W/m^2K^4)
	REAL,PARAMETER :: Pt  = 1.e+1	! 大気上端気圧(Pa) 
	REAL,PARAMETER :: ga  = 9.8	! 重力加速度(m/sec^2)
	REAL,PARAMETER :: R   = 8.31	! 気体定数(J/mol/K)

	REAL,PARAMETER :: Mr  = 18e-3	! 乾燥大気分子量(kg)
	REAL,PARAMETER :: Rd  = R	! 乾燥気体定数(質量あたり)(J/kg/K)
	REAL,PARAMETER :: Cpd = 3.5*R 	! 乾燥大気定圧モル比熱(J/mol/K)
	REAL,PARAMETER :: kaid= 0.	! 非凝結成分吸収係数(1/kg.m)

	REAL,PARAMETER :: Mv  = 18e-3	! 水蒸気分子量(kg)
	REAL,PARAMETER :: Rv  = R	! 乾燥気体定数(質量あたり)(J/kg/K)
	REAL,PARAMETER :: Cpv = 4.*R	! 水蒸気定圧モル比熱(J/mol/K)
	REAL,PARAMETER :: kaiv= 1.e-2	! 吸収係数(1/kg.m)
	
	REAL,PARAMETER :: pv00= 1.4e+11	! 飽和蒸気圧曲線係数(Pa)
	REAL,PARAMETER :: ql  = 43655.	! モル当たり潜熱(J/mol)

END MODULE para_module


